# ----------------------------------------------------------------------------
# These are the defaults found in Java 23's JAXP Configuration File
# (${java.home}/conf/jaxp.properties).
#
# Not useful when:
# - You use an Java runtime older than version 24.
# - Not useful when, like XXE's, your distribution includes its own
#   Xerces XML parser.
# ----------------------------------------------------------------------------

# Limits the number of entity expansions.
# As of Java 24, the default value is 2500.
jdk.xml.entityExpansionLimit=64000

# The size is calculated as an aggregation of all entities.
# As of Java 24, the default value is 100000.
jdk.xml.totalEntitySizeLimit=50000000

# Limits the maximum size of any general entities.
# As of Java 24, the default value is 100000.
jdk.xml.maxGeneralEntitySizeLimit=0

# Limits the maximum size of any parameter entities, including the result of
# nesting multiple parameter entities.
# As of Java 24, the default value is 15000.
jdk.xml.maxParameterEntitySizeLimit=1000000

# Limits the total number of nodes in all entity references.
# As of Java 24, the default value is 100000.
jdk.xml.entityReplacementLimit=3000000

# Limits the number of attributes an element can have.
# As of Java 24, the default value is 200.
jdk.xml.elementAttributeLimit=10000

# Limits the maximum element depth.
# As of Java 24, the default value is 100.
jdk.xml.maxElementDepth=0
